Package org.apache.catalina.filters

# Interface CsrfPreventionFilter.NonceCache<T>

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `CsrfPreventionFilter.LruCache`

Enclosing class:
  `CsrfPreventionFilter`

protected static interface CsrfPreventionFilter.NonceCache<T> extends Serializable

## Method Summary

Modifier and Type
Method
Description
`void`
`add(T nonce)`
`boolean`
`contains(T nonce)`

## Method Details

### add

void add(T nonce)

### contains

boolean contains(T nonce)